## r-cran-nnls 1.4

=== DESCRIPTION ===
Package: nnls
Type: Package
Title: The Lawson-Hanson algorithm for non-negative least squares
        (NNLS)
Version: 1.4
Author: Katharine M. Mullen and Ivo H. M. van Stokkum
Maintainer: Katharine Mullen <mullenkate@gmail.com>
Description: An R interface to the Lawson-Hanson implementation of an
        algorithm for non-negative least squares (NNLS).  Also allows
        the combination of non-negative and non-positive constraints.
License: GPL (>= 2)
Packaged: 2012-03-19 16:06:34 UTC; kmullen
Repository: CRAN
Date/Publication: 2012-03-19 16:28:59

=== debian/changelog ===
r-cran-nnls (1.4-3) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 22:48:54 +0200

r-cran-nnls (1.4-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * Convert from cdbs to dh-r
  * cme fix dpkg-control
  * Testsuite: autopkgtest-pkg-r
  * debhelper 11
  * Canonical homepage for CRAN packages
  * Update copyright

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 17:40:49 +0100

r-cran-nnls (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #784266)

 -- Alba Crespi <crespialba+debian@gmail.com>  Thu, 14 May 2015 13:05:26 +0100

=== debian/control ===
Source: r-cran-nnls
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nnls
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nnls.git
Homepage: http://cran.r-project.org/package=nnls

Package: r-cran-nnls
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for non-negative least squares (the Lawson-Hanson algorithm)
 An R package to the Lawson-Hanson implementation of an algorithm for non-
 negative least squares (NNLS). Also allows the combination of non-negative
 and non-positive constraints.

## r-cran-nnls 1.5

=== DESCRIPTION ===
Package: nnls
Type: Package
Title: The Lawson-Hanson Algorithm for Non-Negative Least Squares
        (NNLS)
Version: 1.5
Author: Katharine M. Mullen and Ivo H. M. van Stokkum
Maintainer: Katharine Mullen <mullenkate@gmail.com>
Suggests: bvls, quadprog
Description: An R interface to the Lawson-Hanson implementation of an
        algorithm for non-negative least squares (NNLS).  Also allows
        the combination of non-negative and non-positive constraints.
License: GPL (>= 2)
Packaged: 2023-09-11 04:13:04 UTC; kmm-windog
Repository: CRAN
Date/Publication: 2023-09-11 07:20:07 UTC
NeedsCompilation: yes

=== debian/changelog ===
r-cran-nnls (1.5-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Contact.

 -- Andreas Tille <tille@debian.org>  Sun, 15 Oct 2023 08:04:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-nnls
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Alba Crespi <crespialba+debian@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper (>= 11~),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nnls
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nnls.git
+Homepage: https://cran.r-project.org/package=nnls
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nnls
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nnls.git
-Homepage: http://cran.r-project.org/package=nnls
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-nnls
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/nnls_([-0-9\.]*)\.tar\.gz

## r-cran-nnls 1.6

=== DESCRIPTION ===
Package: nnls
Type: Package
Title: The Lawson-Hanson Algorithm for Non-Negative Least Squares
        (NNLS)
Version: 1.6
Authors@R: c(person(given = c("Katharine", "M."),
                      family = "Mullen",
                      role = "aut"),
               person(given = c("Ivo", "H.", "M."),
                      family = "van Stokkum",
                      role = "aut"),
               person(given = "Katharine",
                      family = "Mullen",
                      role = "cre",
                      email = "mullenkate@gmail.com"))
Maintainer: Katharine Mullen <mullenkate@gmail.com>
Suggests: bvls, quadprog
Description: An R interface to the Lawson-Hanson implementation of an
        algorithm for non-negative least squares (NNLS).  Also allows
        the combination of non-negative and non-positive constraints.
License: GPL (>= 2)
NeedsCompilation: yes
Packaged: 2024-10-23 05:33:46 UTC; kmm
Author: Katharine M. Mullen [aut],
  Ivo H. M. van Stokkum [aut],
  Katharine Mullen [cre]
Repository: CRAN
Date/Publication: 2024-10-23 06:30:02 UTC

=== debian/changelog ===
r-cran-nnls (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Oct 2024 09:15:42 +0900

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nnls
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nnls.git
 Homepage: https://cran.r-project.org/package=nnls
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
